MysqlndUhConnection::getErrorString
MysqlndUhConnection::getHostInformation
MysqlndUhConnection
PHP Manual

# MysqlndUhConnection::getFieldCount

(PECL mysqlnd-uh >= 1.0.0-alpha)

MysqlndUhConnection::getFieldCount — Returns the number of columns for the most recent query

### Description

public int MysqlndUhConnection::getFieldCount ( mysqlnd_connection `$connection` )

Returns the number of columns for the most recent query.

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

### Return Values

Number of columns.

### Examples

MysqlndUhConnection::getFieldCount() is not only executed after the invocation of a user space API call which maps directly to it but also called internally.

Example #1 MysqlndUhConnection::getFieldCount() example

`<?php
class proxy extends MysqlndUhConnection {
public function getFieldCount($res) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$ret = parent::getFieldCount($res);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
$mysqli->query("WILL_I_EVER_LEARN_SQL?");
var_dump($mysqli->field_count);
$mysqli->query("SELECT 1, 2, 3 FROM DUAL");
var_dump($mysqli->field_count);
?>`

The above example will output:

    proxy::getFieldCount(array (
      0 => NULL,
    ))
    proxy::getFieldCount returns 0
    int(0)
    proxy::getFieldCount(array (
      0 => NULL,
    ))
    proxy::getFieldCount returns 3
    proxy::getFieldCount(array (
      0 => NULL,
    ))
    proxy::getFieldCount returns 3
    int(3)

### See Also

- mysqlnd_uh_set_connection_proxy() - Installs a proxy for mysqlnd connections
- mysqli_field_count() - Returns the number of columns for the most recent query

MysqlndUhConnection::getErrorString
MysqlndUhConnection::getHostInformation
MysqlndUhConnection
PHP Manual